Package Details: palm-sdk 3.0.5-2

Git Clone URL: https://aur.archlinux.org/palm-sdk.git (read-only)
Package Base: palm-sdk
Description: WebOS SDK: emulator-image, cmd-line tools, framework, samples, etc.
Upstream URL: http://developer.palm.com/index.php
Licenses: custom
Submitter: ryanc
Maintainer: t-8ch
Last Packager: t-8ch
Votes: 11
Popularity: 0.000000
First Submitted: 2009-12-09 07:10
Last Updated: 2015-06-09 17:53

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

nickread commented on 2011-07-07 05:04

The following diff works for the 3.0.0 SDK. It depends on the palm-novacom PKGBUILD being updated for 1.0.76 which I put in my most recent comment on that package. Also note that it disabled binary stripping as it can't handle the ARM binaries:

pkgname=palm-sdk
-pkgver=1.4.5
+pkgver=3.0.0
pkgrel=1
pkgdesc="Unofficial package of Palm webOS SDK"
url="http://developer.palm.com/index.php"
arch=('i686' 'x86_64')
license=("unknown")
-depends=('java-runtime>=6' 'virtualbox_bin=3.2.6' 'palm-novacom=1.0.56')
+depends=('java-runtime>=6' 'virtualbox>=4.0' 'palm-novacom=1.0.76')
-source=("http://cdn.downloads.palm.com/sdkdownloads/1.4.5.465/sdkBinaries/palm-sdk_1.4.5-svn307799-sdk1457-pho465_i386.deb")
+source=("http://cdn.downloads.palm.com/sdkdownloads/3.0.0.643/sdkBinaries/palm-sdk_3.0.0-svn486609-pho643_i386.deb")
noextract=()
install=('palm-sdk.install')
-md5sums=('dc85db1897d0aa31e4c50130184ac508')
+md5sums=('c085e6d6c0b1da0c165aaa0dc3e015c4')
+options=(!strip)

build() {
cd $startdir/src

- ar x $startdir/palm-sdk_1.4.5-svn307799-sdk1457-pho465_i386.deb || return 1
+ ar x $startdir/palm-sdk_3.0.0-svn486609-pho643_i386.deb || return 1
mkdir data || return 1

TheRingmaster commented on 2011-07-04 18:10

please update these packages to palm-sdk_3 please

t-8ch commented on 2011-06-29 12:16

A cleaned up source-tarball can be found here:
https://thomas.b4ne.de/arch/aur/palm-sdk-2.1.0-1.src.tar.gz

Anonymous comment on 2011-03-31 19:14

@bokal try virtualbox_bin-3 package from AUR, now it's 3.2.12

bokal commented on 2011-03-31 10:07

2.1.0 would work with

https://cdn.downloads.palm.com/sdkdownloads/2.1.0.519/sdkBinaries/palm-sdk_2.1.0-svn409992-pho519_i386.deb
e0df38e10c34fdb665a562aa99aebf2a


Sadly, the emulator requires virtualbox 3.2 to run, which is nowhere to be found in the repositories. Any idea?

StefanLohmaier commented on 2011-03-22 06:39

2.1 sdk works by changing versions and md5sums.

ryanc commented on 2010-07-08 07:00

You guys just won't let me take any time to test, will ya? ;) Patience!

Anyway, updated to 1.4.5. Now we just need the real thing for our phones.

Anonymous comment on 2010-07-06 23:11

Changing the PKGBUILD to reflect the new pkgname compiles and works perfectly with virtualbox_bin-3.2.6

No official PDK for Linux as of yet, unfortunately. Win/Mac version has the SDK and PDK rolled into one now.

Anonymous comment on 2010-07-05 09:39

Now its really outdated ;)

Anonymous comment on 2010-06-05 02:39

Ah sorry, my mistake